Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.editor
Class TextBoxEditor

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.HorizontalPanel
                              org.eclipse.higgins.ics.gwt.base.client.editor.BaseEditor
                                  org.eclipse.higgins.ics.gwt.base.client.editor.TextBoxEditor

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IndexedPanel

public class TextBoxEditor
extends BaseEditor

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from class org.eclipse.higgins.ics.gwt.base.client.editor.BaseEditor
`CHECH_BOX_EDITOR, COMBO_BOX_EDITOR, DATE_TEXT_BOX_EDITOR, HTML_AREA_EDITOR, IMAGE_EDITOR, PASSWORD_TEXT_BOX_EDITOR, STYLE_COMBO_BOX_EDITOR, STYLE_EDITOR_ERROR_VALUE, STYLE_EDITOR_LAYOUT, STYLE_EDITOR_REQUIRED, STYLE_TEXT_BOX_EDITOR, TEXT_AREA_EDITOR, TEXT_BOX_EDITOR`

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`TextBoxEditor()`

Method Summary
`void` | `disableOptions()`
`void` | `enableOptions()`
`com.google.gwt.user.client.ui.SuggestBox` | `getBox()`
`com.google.gwt.user.client.ui.Image` | `getImage()`
`com.google.gwt.user.client.ui.MultiWordSuggestOracle` | `getOracle()`
`String` | `getTypeEditor()`
`String` | `getValue()`
`void` | `setBox(com.google.gwt.user.client.ui.SuggestBox box)`
`void` | `setClaimType(String claimType)`
`void` | `setReadOnly(boolean isReadOnly)`
`void` | `setValue(String val)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.editor.BaseEditor
`addChangeListener, addKeyboardListener, checkValue, checkValueRuntime, getChangeListenerList, getChildHeight, getChildWidth, getClaimType, getDescription, getInputRegExp, getName, getOldValue, isCheckValueRunTime, isReadOnly, isRequired, setCheckValueRunTime, setChildHeight, setChildWidth, setDescription, setFocus, setInputRegExp, setName, setOldValue, setRequired`

Methods inherited from class com.google.gwt.user.client.ui.HorizontalPanel
`add, getHorizontalAlignment, getVerticalAlignment, insert, remove, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getSpacing, setBorderWidth, setCellHeight, setCellHorizontalAlignment, setCellVerticalAlignment, setCellWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`getWidget, getWidgetCount, getWidgetIndex, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextBoxEditor

    public TextBoxEditor()

Method Detail

### getTypeEditor

    public String getTypeEditor()

  Specified by:
    `getTypeEditor` in class `BaseEditor`
  Returns:
    one from predefined editor type constant

### getValue

    public String getValue()

  Specified by:
    `getValue` in class `BaseEditor`
  Returns:
    current value

### setReadOnly

    public void setReadOnly(boolean isReadOnly)

  Overrides:
    `setReadOnly` in class `BaseEditor`
  Parameters:
    `isReadOnly` - the isReadOnly to set

### setValue

    public void setValue(String val)

  Specified by:
    `setValue` in class `BaseEditor`
  Parameters:
    `val` - current value

### getBox

    public com.google.gwt.user.client.ui.SuggestBox getBox()

### setBox

    public void setBox(com.google.gwt.user.client.ui.SuggestBox box)

### getImage

    public com.google.gwt.user.client.ui.Image getImage()

### setClaimType

    public void setClaimType(String claimType)

  Overrides:
    `setClaimType` in class `BaseEditor`

### getOracle

    public com.google.gwt.user.client.ui.MultiWordSuggestOracle getOracle()

### disableOptions

    public void disableOptions()

### enableOptions

    public void enableOptions()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD